Generation Framework

## org.eclipse.gmf.mappings
Interface ChildReference

All Superinterfaces:
  EObject, NeedsContainment, NodeReference, Notifier

All Known Implementing Classes:
  ChildReferenceImpl

public interface ChildReference
extends NodeReference

A representation of the model object 'Child Reference'.

The following features are supported:

- `Parent Node`
- `Compartment`
- `Owned Child`
- `Referenced Child`

See Also:
  `GMFMapPackage.getChildReference()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not (ownedChild.oclIsUndefined() and referencedChild.oclIsUndefined())' description='Either \'ownedChild\' or \'referencedChild\' NodeMapping must be set'" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not childrenFeature.oclIsUndefined() implies childrenFeature.eContainingClass.isSuperTypeOf(parentNode.domainMetaElement)' description='\'Children Feature\' must be owned by \'Domain Meta Element\' or its super type of this reference parent Node Mapping'" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not containmentFeature.oclIsUndefined() implies containmentFeature.eContainingClass.isSuperTypeOf(parentNode.domainMetaElement)' description='\'Containment Feature\' must be owned by \'Domain Meta Element\' or its super type of this reference parent Node Mapping'" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not child.getDomainContext().oclIsUndefined() implies not containmentFeature.oclIsUndefined()' description='ChildReference to NodeMapping with domainElement should define \'containmentFeature\''"

Method Summary
`CompartmentMapping` `getCompartment()` Returns the value of the 'Compartment' reference.
`NodeMapping` `getOwnedChild()` Returns the value of the 'Owned Child' containment reference
`NodeMapping` `getParentNode()` Returns the value of the 'Parent Node' container reference.
`NodeMapping` `getReferencedChild()` Returns the value of the 'Referenced Child' reference
`void` `setCompartment(CompartmentMapping value)` Sets the value of the '`Compartment`' reference
`void` `setOwnedChild(NodeMapping value)` Sets the value of the '`Owned Child`' containment reference
`void` `setParentNode(NodeMapping value)` Sets the value of the '`Parent Node`' container reference
`void` `setReferencedChild(NodeMapping value)` Sets the value of the '`Referenced Child`' reference

Methods inherited from interface org.eclipse.gmf.mappings.NodeReference
`getChild, getChildrenFeature, isSetChild, setChildrenFeature`

Methods inherited from interface org.eclipse.gmf.mappings.NeedsContainment
`getContainmentFeature, setContainmentFeature`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getParentNode

    public NodeMapping getParentNode()

  Returns the value of the 'Parent Node' container reference. It is bidirectional and its opposite is '`Children`'.

  If the meaning of the 'Parent Node' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent Node' container reference.
  See Also:
    `ChildReference.setParentNode(NodeMapping)`, `GMFMapPackage.getChildReference_ParentNode()`, `NodeMapping.getChildren()`
  ** Generated **
  Model:
    opposite="children" required="true"

### setParentNode

    public void setParentNode(NodeMapping value)

  Sets the value of the '`Parent Node`' container reference.

  Parameters:
    `value` - the new value of the 'Parent Node' container reference.
  See Also:
    `ChildReference.getParentNode()`
  ** Generated **

### getCompartment

    public CompartmentMapping getCompartment()

  Returns the value of the 'Compartment' reference. It is bidirectional and its opposite is '`Children`'.

  If the meaning of the 'Compartment' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Compartment' reference.
  See Also:
    `ChildReference.setCompartment(CompartmentMapping)`, `GMFMapPackage.getChildReference_Compartment()`, `CompartmentMapping.getChildren()`
  ** Generated **
  Model:
    opposite="children"

### setCompartment

    public void setCompartment(CompartmentMapping value)

  Sets the value of the '`Compartment`' reference.

  Parameters:
    `value` - the new value of the 'Compartment' reference.
  See Also:
    `ChildReference.getCompartment()`
  ** Generated **

### getOwnedChild

    public NodeMapping getOwnedChild()

  Returns the value of the 'Owned Child' containment reference.

  If the meaning of the 'Owned Child' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owned Child' containment reference.
  See Also:
    `ChildReference.setOwnedChild(NodeMapping)`, `GMFMapPackage.getChildReference_OwnedChild()`
  ** Generated **
  Model:
    containment="true"

### setOwnedChild

    public void setOwnedChild(NodeMapping value)

  Sets the value of the '`Owned Child`' containment reference.

  Parameters:
    `value` - the new value of the 'Owned Child' containment reference.
  See Also:
    `ChildReference.getOwnedChild()`
  ** Generated **

### getReferencedChild

    public NodeMapping getReferencedChild()

  Returns the value of the 'Referenced Child' reference.

  If the meaning of the 'Referenced Child' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referenced Child' reference.
  See Also:
    `ChildReference.setReferencedChild(NodeMapping)`, `GMFMapPackage.getChildReference_ReferencedChild()`
  ** Generated **
  Model:

### setReferencedChild

    public void setReferencedChild(NodeMapping value)

  Sets the value of the '`Referenced Child`' reference.

  Parameters:
    `value` - the new value of the 'Referenced Child' reference.
  See Also:
    `ChildReference.getReferencedChild()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.